Bug 1288657 - could not lock client after bailing on suspend [NEEDINFO]
could not lock client after bailing on suspend
Status: CLOSED NOTABUG
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 17:06 EST by Brian Brock
Modified: 2017-04-22 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-22 22:30:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnichols: needinfo? (bbrock)


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2015-12-04 17:06:06 EST
Description of problem:
When running the suspend test, attempting to exit the suspend test causes the interface to fail with "could not lock client" as the status.  This stays as the status after the next test runs, and even after the daemon is restarted and the web page reloaded.

Version-Release number of selected component (if applicable):
redhat-certification-2.1-20151124.2.el7.noarch
redhat-certification-hardware-1.7.1-20151113.el7.noarch


How reproducible:
error occurs consistently when lock file is created and a test crashes.

Steps to Reproduce:
1. run an interactive test on a laptop (lid, in the example)
2. attempt to bail out of the mandatory suspend test by selecting "no" for its prompts and clicking the "back" link to go to the test results page.
3. continue through suspend test (it won't restart, even when the link is clicked)
4. continue through the interactive (lid) test.  This will fail.
5. after test completion and return to results page, attempt to launch another test.

Actual results:
The error message is printed as status, and on the interactive test screen:
Error: could not lock client
There is no way to proceed to tests.
removing the lock file and restarting the daemon have no effect.


Expected results:
Test fails gracefully (no stops or hangs) without lock file error, allowing testing to continue.

Additional info:
Looking for smaller set of conditions required to trigger.

I'm still unsure whether this is a generic problem in redhat-certification, or a problem specific to suspend or -hardware tests.
Comment 1 Brian Brock 2015-12-04 17:09:16 EST
restarting the daemon again causes the system to return to the expected state.  So it's possible that's a workaround, still investigating if that's the common case.
Comment 2 Brian Brock 2015-12-04 17:12:09 EST
Also, I clicked "restart" during the suspend test's execution, which triggers bz 1277191
Comment 3 Greg Nichols 2015-12-07 10:09:19 EST
How did you "exit" the suspend test?  By pressing "No", or some other means?

Note You need to log in before you can comment on or make changes to this bug.